import { native_, mapState_ } from './Constants';
export declare class GPUBuffer {
    [native_]: any;
    [mapState_]: 'unmapped' | 'mapped' | 'pending';
    get label(): any;
    get size(): any;
    get usage(): any;
    get native(): any;
    destroy(): void;
    get mapState(): "unmapped" | "mapped" | "pending";
    getMappedRange(offset?: number, size?: number): ArrayBuffer;
    mapAsync(mode: number, offset?: number, size?: number): Promise<void>;
    unmap(): void;
    static fromNative(buffer: any, mappedAtCreation?: boolean): GPUBuffer;
}
